Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1689400 - [subman] Set skip_if_unavailable=false as default behavior for software management tools
Summary: [subman] Set skip_if_unavailable=false as default behavior for software manag...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.1
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1679509
Blocks: 1708794
TreeView+ depends on / blocked
 
Reported: 2019-03-15 19:58 UTC by Terry Bowling
Modified: 2019-06-27 08:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1692453 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Terry Bowling 2019-03-15 19:58:59 UTC
Depending on testing with https://bugzilla.redhat.com/show_bug.cgi?id=1679509#c10, we are hopeful that code change is only required in libdnf for that bz1679509.

This bz is for tracking, ensure sufficient testing is performed, and determine if additional changes are required for the component of this BZ.

Please test according to the the test builds in cmt10 (or later) above, as well as cmt 11 explaining the concerns and goals.

Comment 4 Chris Snyder 2019-06-21 18:47:12 UTC
Moving to ON_QA for testing. Be advised there have been no new code changes for subscription-manager to implement this. We are testing compatibility of the dnf changes made to implement this.

Comment 5 Rehana 2019-06-27 08:34:11 UTC
As mentioned in the comment 4, there is no subscription-manager code change required for the skip_if_unavailable=false.I will use this ON_QA subscription-manager bug as a sanity test only to confirm that the change from libdnf works with latest subscription-manager build for 8.1 

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.3.17-1
subscription management rules: 5.35
subscription-manager: 1.25.11-1.el8

# rpm -q python3-hawkey python3-libdnf libdnf 
python3-hawkey-0.33.0-1.el8.x86_64
python3-libdnf-0.33.0-1.el8.x86_64
libdnf-0.33.0-1.el8.x86_64


# subscription-manager register --serverurl=subscription.rhsm.stage.redhat.com --baseurl=https://cdn.redhat.com --auto-attach --username=qa@redhat.com
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: e9008130-7cdd-4357-8905-26e0a324198d
The registered system name is: kvm-02-guest07.lab.eng.rdu2.redhat.com
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for x86_64 Beta
Status:       Subscribed

[root@kvm-02-guest07 ~]# subscription-manager repos --enable=rhel-8-for-x86_64-sap-*
Repository 'rhel-8-for-x86_64-sap-solutions-beta-rpms' is enabled for this system.
Repository 'rhel-8-for-x86_64-sap-solutions-beta-debug-rpms' is enabled for this system.
Repository 'rhel-8-for-x86_64-sap-solutions-beta-source-rpms' is enabled for this system.

[root@kvm-02-guest07 ~]# yum repolist
Updating Subscription Management repositories.
Red Hat Enterprise Linux 8 for x86_64 - SAP Solutions Beta (RPMs)                                                                                                                  4.7  B/s |  16  B     00:03    
Failed to synchronize cache for repo 'rhel-8-for-x86_64-sap-solutions-beta-rpms'
Error: Failed to synchronize cache for repo 'rhel-8-for-x86_64-sap-solutions-beta-rpms'

[root@kvm-02-guest07 ~]# echo $?
1

^ Notice that the yum transaction no longer skips when the repositories (entitled through subscription-manager) are unavailable.  The transaction ceases on the first unavailable repo encountered and exits with a non-zero exit code.

Based on the observations, moving the bug to verified.


Note You need to log in before you can comment on or make changes to this bug.